use domo_proto::packet::data_types::DataType;
use domo_proto::packet::identifier::Identifier;
use domo_proto::packet::packet_data::PacketData;

fn main() {
    let _ = domo_proto::packet::Packet::V1 {
        src: Identifier::from(0xAABBCCDD),
        dest: Identifier::from(0xAABBCCDD),
        packet_id: Identifier::from(0x00000001),
        reply_to: Identifier::from(0x00000000),
        command: 0x00,
        data: PacketData::default(),
    };

    let buf = vec![
        0x00, 0x01, 0x00, 0x10, 0x00, 0xFF, 0x20, 0x90, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
        0x01, 0xF0, 0xAA, 0xBB, 0xCC, 0xDD,
    ];

    println!("{:?}", DataType::get_data(buf));
}
